/* 
 * Copyright (C) 1999-2004 Joachim Wieland <joe@mcknight.de>
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111, USA.
 */

#include "ftp_main.h"

void module_hook_register(int type,
			  module_callback_func_t func,
			  char* description) {

	event_func_t evt_f = (event_func_t) func;
	event_register(type, evt_f, description);
}

int ftp_init_modules() {
	/* init the modules */
	if (spp_init() < 0) {
		return -1;
	}
	if (squidcache_init() < 0) {
		return -1;
	}
	if (diskcache_init() < 0) {
		return -1;
	}
	if (cmdcheck_init() < 0) {
		return -1;
	}
	if (nodatarelay_init() < 0) {
		return -1;
	}
	return 0;
}
